Robot Simulator of the Robotics Group for Self-Organization of Control: SeMoXConf Struct Reference

# SeMoXConf Struct Reference

`#include <semox.h>`

Collaboration diagram for SeMoXConf:
[legend]

List of all members.

## Public Attributes
int | buffersize
| buffersize size of the time-buffer for x,y,eta
matrix::Matrix | initialC
| initialC initial controller matrix (if null matrix then automatic, see cInit)
double | cInit
| cInit initial size of the diagonals of the C matrix (if C is not given)
double | cNonDiag
| cNonDiag initial size of the non-diagonal elements of the C matrix (if C is not given)
double | aInit
| aInit initial size of the diagonals of the A matrix
double | sInit
| sInit initial size of the diagonals of the S matrix
bool | modelExt
| modelExt if true then additional matrix S is used in forward model (sees sensors)
int | numContext
| number of context sensors (considered at the end of the sensor vector, which are only feed to the model extended model
bool | someInternalParams
| someInternalParams if true only some internal parameters are exported

## Member Data Documentation

double aInit

aInit initial size of the diagonals of the A matrix

int buffersize

buffersize size of the time-buffer for x,y,eta

double cInit

cInit initial size of the diagonals of the C matrix (if C is not given)

double cNonDiag

cNonDiag initial size of the non-diagonal elements of the C matrix (if C is not given)

matrix::Matrix initialC

initialC initial controller matrix (if null matrix then automatic, see cInit)

bool modelExt

modelExt if true then additional matrix S is used in forward model (sees sensors)

int numContext

number of context sensors (considered at the end of the sensor vector, which are only feed to the model extended model

double sInit

sInit initial size of the diagonals of the S matrix

bool someInternalParams

someInternalParams if true only some internal parameters are exported

The documentation for this struct was generated from the following file:

- semox.h